puppet-denyhosts
================

Puppet module for the denyhosts service. This module provides a higher level of
abstraction than the module published by puppetlabs.

Requirements
------------

* puppetlabs/stdlib (4.1.0+)
* puppetlabs/concat (1.0.0+)

Quick Start
-----------

You can install and configure denyhosts with default settings by declaring the
base class:

    class {'denyhosts': }

There are several parameters that control the behavior of the service, here's
an example of setting some custom options:

    class {'denyhosts':
        admin_email      => 'admin@example.com',
        reset_on_success => true
    }

You can add entries to the denyhosts whitelist like this:

    denyhosts::whitelist {'dev-hosts':
        comment => 'development machines',
        hosts   => ['10.89.0.10', '10.89.0.11']
    }

Platforms
---------

This module currently supports redhat and debian based platforms. It has been
used in a production environment on the following platforms:

* RedHat Enterprise Linux 6
* Ubuntu 13.10
