# = Type: denyhosts::whitelist
#
# This type adds an entry to the denyhosts whitelist.
#
# == Parameters:
#
# [*comment*]
#	Whitelist block comment. Defaults to $title.
# [*hosts*]
#	Array of host names or IP addresses. Defaults to an empty array.
define denyhosts::whitelist
(
	$comment = $title,
	$hosts = []
)
{
	# validate arguments
	validate_array($hosts)

	if count($hosts) == '0' {
		fail('You did not specify any hosts to whitelist.')
	}

	# whitelist fragment
	concat::fragment {"denyhosts.whitelist-$title":
		target  => 'denyhosts.whitelist',
		order   => '10',
		content => template('denyhosts/whitelist.erb')
	}
}
